Bug 63661 - poor performance: images, svg, png
Summary: poor performance: images, svg, png
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 22:17 UTC by A. Fakhouri
Modified: 2015-06-08 14:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A. Fakhouri 2013-04-17 22:17:31 UTC
There is a poor performance when using images; the performance suffers even worse when the images are numerous, large, vectors (svg), and/or when they exist in a large document and/or when they have some transparency (like svg, png, gif, ...etc.). Performance also suffers significantly when scrolling rapidly within a huge file and when exporting to PDF.

A known WORKAROUND for SOME OCCASIONS is to transform the image into a JPG format (to reduce the size and get rid of the transparency -- perhaps using a white background -- ; I also noticed that JPG renders faster in LibreOffice, but I can not confirm that for now!) and to make it smaller. This will make the application hang less, and export to PDF faster! YET, this doesn't solve the problem completely, and the performance still suffers anyway.

I hope we can get a fix for this too.
Comment 1 Buovjaga 2014-11-07 12:57:24 UTC
What Linux distro and desktop environment are you using? What graphics card?
Set to UNCONFIRMED, if the bug is still happening and provide sample files for testing. RESOLVED WORKSFORME, if not.
Comment 2 QA Administrators 2015-05-06 14:14:05 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 QA Administrators 2015-06-08 14:26:31 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team